## File an unmatched mail on an application, or drop it without applicationId (hr:recruiting:manage)

`POST /api/hr/v1/recruiting/unmatched-mail/{mailId}`

Module: HR · operationId: `assignUnmatchedApplicantMail` · Tag: Recruiting · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `mailId` | path | string | yes |  |

### Request body

`application/json` (required)

- `applicationId` (string (uuid)): Application to file the mail on; omitted: the mail is dropped

Example:

```json
{
  "applicationId": "7e9a1c3e-5a7c-4e9a-9c1e-5a7c9e1a3c96"
}
```

### Responses

- **204** Done
- **404** Error (`application/json`)
- **503** Error (`application/json`)

### Example request

```bash
curl -X POST 'https://api.mbcom.cloud/api/hr/v1/recruiting/unmatched-mail/string' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"applicationId":"7e9a1c3e-5a7c-4e9a-9c1e-5a7c9e1a3c96"}'
```
